Skip to content
Permalink
Browse files

Scheduled weekly dependency update for week 09 and fixed CI failure (#…

…287)

* Update pyyaml from 5.2 to 5.3
* Update sqlalchemy from 1.3.12 to 1.3.13
* Update alembic from 1.3.2 to 1.4.1
* Update pytest from 5.3.2 to 5.3.5
* Pin coverage to latest version 5.0.3
* Update coveralls from 1.9.2 to 1.11.1
* Update sphinx from 2.3.0 to 2.4.3
* Update mypy from 0.750 to 0.761
* Update setuptools from 42.0.2 to 45.2.0
* Update wheel from 0.33.6 to 0.34.2
* Update setup.py versions to match requirements.txt

* Fix CI by setting POSTGRES_HOST_AUTH_METHOD=trust

Co-authored-by: Sasha Romijn <github@mxsasha.eu>
  • Loading branch information
pyup-bot and mxsasha committed Mar 9, 2020
1 parent a9fb95e commit d9649ab7d0ed880e6d1832ecebb105a62841657a
Showing with 14 additions and 13 deletions.
  1. +1 −0 .circleci/config.yml
  2. +10 −10 requirements.txt
  3. +3 −3 setup.py
@@ -17,6 +17,7 @@ jobs:
environment:
POSTGRES_USER: root
POSTGRES_DB: circle_test
POSTGRES_HOST_AUTH_METHOD: trust

working_directory: ~/repo

@@ -9,32 +9,32 @@ dataclasses==0.7; python_version < '3.7' # PEP 557 dataclasses for python<
ordered-set==3.1.1 # Ordered sets for simple unique ordered storage
dotted==0.1.8 # Dotted path dictionary resolving for settings
beautifultable==0.8.0 # generating nice-looking ascii tables
PyYAML==5.2 # parsing YAML config files
PyYAML==5.3 # parsing YAML config files

# Database connections and management
psycopg2-binary==2.8.4
SQLAlchemy==1.3.12
alembic==1.3.2
SQLAlchemy==1.3.13
alembic==1.4.1
ujson==1.35

# Network handling
twisted==19.10.0

# Testing and related packages
pytest==5.3.2
pytest==5.3.5
pytest-cov==2.8.1
coverage<5.0
coveralls==1.9.2
coverage==5.0.3
coveralls==1.11.1

# Documentation generation
Sphinx==2.3.0
Sphinx==2.4.3

# Code style and type checks
mypy==0.750
mypy==0.761
flake8==3.7.9
pep8-naming==0.9.1

# Creating python packages
setuptools==42.0.2
wheel==0.33.6
setuptools==45.2.0
wheel==0.34.2
twine==3.1.1
@@ -29,10 +29,10 @@
'ordered-set==3.1.1',
'dotted==0.1.8',
'beautifultable==0.8.0',
'PyYAML==5.2',
'PyYAML==5.3',
'psycopg2-binary==2.8.4',
'SQLAlchemy==1.3.12',
'alembic==1.3.2',
'SQLAlchemy==1.3.13',
'alembic==1.4.1',
'ujson==1.35',
'twisted==19.10.0',
],

0 comments on commit d9649ab

Please sign in to comment.
You can’t perform that action at this time.